Bug 61933 - Sawfish not compiled with gdk-pixbuf support
Sawfish not compiled with gdk-pixbuf support
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: sawfish (Show other bugs)
skipjack-beta1
All Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 20:29 EST by Michel Alexandre Salim
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 20:29:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2002-03-25 20:29:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
Sawfish is still compiled against Imlib and not gdk-pixbuf. While it makes 
(almost) no difference in terms of speed, certain advanced themes like Klarth 
requires gdk-pixbuf features to work properly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download Klarth theme from www.sunshineinabag.co.uk
2. Untar to ~/.sawfish/themes
3. Select Klarth theme
	

Actual Results:  Ugly pink bars to the left and right of the centered title

Expected Results:  Real nice looking texture to left and right of centered title

Additional info:

Sawfish needs to be passed the configure option --with-gdk-pixbuf, Require 
needs to include gdk-pixbuf and BuildRequire to include gdk-pixbuf-devel
Comment 1 Havoc Pennington 2002-03-25 22:09:44 EST
John Harper (Sawfish maintainer) still advises against compiling this way; 
that's why Sawfish doesn't build with gdk-pixbuf by default. I think it's best
to defer to his judgment on this point. He posted rationale to one of the GNOME
development lists recently, I don't remember all the details.

You might post a bug to bugzilla.gnome.org about the Klarth theme issues, 
I don't know if it's a bug in the theme or in Sawfish but John could maybe tell
you if you post there.
Comment 2 Michel Alexandre Salim 2002-03-26 07:00:34 EST
Ah, nevermind then, the GNOME developers have more pressing things to worry 
about ATPM than fixing a silly theme's interaction with Sawfish :p

Thanks HP, sometimes I wonder where you find the time to do things - the 
release announcement / installation banners must be referring to you! :p

Michel

Note You need to log in before you can comment on or make changes to this bug.